.lightpick {
    position: absolute;
    z-index: 99999;
    padding: 4px;
    border-radius: 4px;
    background-color: #FFF;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
    color: #000;
    font-family: system-ui, Roboto, Helvetica, Arial, sans-serif;
    line-height: 1.125em;
}

.lightpick--inlined {
    position: relative;
    display: inline-block;
}

.lightpick,
.lightpick *,
.lightpick::after,
.lightpick::before {
    box-sizing: border-box;
}

.lightpick.is-hidden {
    display: none;
}

.lightpick__months {
    display: grid;
    background-color: #EEE;
    grid-template-columns: auto;
    grid-gap: 1px;
}

.lightpick--2-columns .lightpick__months {
    grid-template-columns: auto auto;
}

.lightpick--3-columns .lightpick__months {
    grid-template-columns: auto auto auto;
}

.lightpick--4-columns .lightpick__months {
    grid-template-columns: auto auto auto auto;
}

.lightpick--5-columns .lightpick__months {
    grid-template-columns: auto auto auto auto auto;
}

.lightpick__month {
    padding: 4px;
    width: 288px;
    background-color: #FFF;
}

.lightpick__month-title-bar {
    display: flex;
    margin-bottom: 4px;
    justify-content: space-between;
    align-items: center;
}

.lightpick__month-title {
    margin-top: 4px;
    margin-bottom: 4px;
    margin-left: 4px;
    font-size: 16px;
    font-weight: normal;
    line-height: 24px;
    cursor: default;
    padding: 0 4px;
    border-radius: 4px;
}

.lightpick__month-title > .lightpick__select {
    border: none;
    background-color: transparent;
    outline: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
}
.lightpick__month-title > .lightpick__select:disabled {
    color: #333;
}

.lightpick__month-title > .lightpick__select-months {
    font-weight: bold;
    font-size: 1em;
    margin-right: .5em;
}

.lightpick__toolbar {
    display: flex;
    text-align: right;
    justify-content: flex-end;
}

.lightpick__previous-action,
.lightpick__next-action,
.lightpick__close-action {
    display: flex;
    margin-left: 6px;
    width: 32px;
    height: 32px;
    outline: none;
    border: none;
    border-radius: 50%;
    background-color: #DDD;
    justify-content: center;
    align-items: center;
}

.lightpick__previous-action,
.lightpick__next-action {
    font-size: 12px;
}

.lightpick__close-action {
    font-size: 18px;
}

.lightpick__previous-action:active,
.lightpick__next-action:active,
.lightpick__close-action:active {
    color: inherit;
}

.lightpick__days-of-the-week {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
}

.lightpick__day-of-the-week {
    display: flex;
    font-size: 11px;
    font-weight: bold;
    justify-content: center;
    align-items: center;
}

.lightpick__days {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
}

.lightpick__day {
    display: flex;
    height: 40px;
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    font-size: 13px;
    justify-content: center;
    align-items: center;
    cursor: default;
}

.lightpick__day.is-today {
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 32 32'%3E%3Ccircle fill='rgba(220, 50, 47, .5)' cx='16' cy='16' r='16'/%3E%3C/svg%3E");
    background-size: 18.8% auto;
    background-position: center bottom;
    color: #F8B713;
}

.lightpick__day:not(.is-disabled):hover {
    background-size: contain;
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 32 32'%3E%3Ccircle fill='%23E0E0E0' cx='16' cy='16' r='16'/%3E%3C/svg%3E");
}

.lightpick__day.is-disabled {
    opacity: 0.38;
    pointer-events: none;
}

.lightpick__day.disabled-tooltip {
    pointer-events: auto;
}

.lightpick__day.is-disabled.is-forward-selected {
    opacity: 1;
}
.lightpick__day.is-disabled.is-forward-selected:not(.is-start-date) {
    background-color: rgba(38, 139, 210, 0.1);
    background-image: none;
}

.lightpick__day.is-previous-month,
.lightpick__day.is-next-month {
    opacity: 0.38;
}

.lightpick__day.lightpick__day.is-in-range:not(.is-disabled) {
    opacity: 1;
}

.lightpick__day.is-in-range {
    border-radius: 0;
    background-color: rgba(38, 139, 210, 0.1);
    background-image: none;
}

.lightpick__day.is-in-range:hover {
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 32 32'%3E%3Ccircle fill='rgba(38, 139, 210, 0.5)' cx='16' cy='16' r='16'/%3E%3C/svg%3E");
}

.lightpick__day.is-start-date.is-in-range,
.lightpick__day.is-end-date.is-in-range.is-flipped {
    border-top-left-radius: 50%;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 50%;
    background-color: #007398;
    background-image: none;
}

.lightpick__day.is-end-date.is-in-range,
.lightpick__day.is-start-date.is-in-range.is-flipped {
    border-top-left-radius: 0;
    border-top-right-radius: 50%;
    border-bottom-right-radius: 50%;
    border-bottom-left-radius: 0;
    background-color: #007398;
    background-image: none;
}

.lightpick__day.is-start-date.is-end-date {
    background-color: transparent;
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 32 32'%3E%3Ccircle fill='%23268BD2' cx='16' cy='16' r='16'/%3E%3C/svg%3E");
}

.lightpick__day.is-start-date,
.lightpick__day.is-end-date,
.lightpick__day.is-start-date:hover,
.lightpick__day.is-end-date:hover {
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 32 32'%3E%3Ccircle fill='%23268BD2' cx='16' cy='16' r='16'/%3E%3C/svg%3E");
    background-size: auto;
    background-position: center;
    color: #FFF;
    font-weight: bold;
}

.lightpick__tooltip {
    position: absolute;
    margin-top: -4px;
    padding: 4px 8px;
    border-radius: 4px;
    background-color: #FFF;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
    white-space: nowrap;
    font-size: 11px;
    pointer-events: none;
}

.lightpick__tooltip::before {
    position: absolute;
    bottom: -5px;
    left: calc(50% - 5px);
    border-top: 5px solid rgba(0, 0, 0, 0.12);
    border-right: 5px solid transparent;
    border-left: 5px solid transparent;
    content: "";
}

.lightpick__tooltip::after {
    position: absolute;
    bottom: -4px;
    left: calc(50% - 4px);
    border-top: 4px solid #FFF;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
    content: "";
}
.lightpick__footer {
    display: flex;
    justify-content: space-between;
}
.lightpick__reset-action,
.lightpick__apply-action {
    border-radius: 5px;
    font-size: 12px;
    border: none;
}
.lightpick__reset-action {
    color: #fff;
    background-color: #aeacad;
}
.lightpick__apply-action {
    color: #fff;
    background-color: #007398;
}

/* BOX RICERCA HOMEPAGE */
#content .lightpick { width: 280px; padding: 10px; border-radius: 5px; margin-top: 10px; }
#content .lightpick__month { width: auto; }
#content .lightpick__month-title-bar { margin-bottom: 20px; display: block; position: relative; }
#content .lightpick__month-title { font-size: 18px; line-height: 22px; width: 100%; text-align: center; }
#content .lightpick__month-title > .lightpick__select-months { color: #303030; text-transform: capitalize; text-align: left; }
#content .lightpick__month-title > .lightpick__select-years { color: #6A6A6A; width: 50px; }
#content .lightpick__toolbar { display: block; position: absolute; left: 0; right: 0; top: 0; z-index: 1; }
#content .lightpick__previous-action, #content .lightpick__next-action {
	display: block; background-repeat: no-repeat; background-position: center center; background-size: 32px auto; cursor: pointer;
}
#content .lightpick__previous-action { float: left; margin: -4px 0 0 2.5%;  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzIiIGhlaWdodD0iMzIiIHZpZXdCb3g9IjAgMCAzMiAzMiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPGNpcmNsZSBjeD0iMTYiIGN5PSIxNiIgcj0iMTYiIGZpbGw9IiNGOEI3MTMiLz4KPHBhdGggZD0iTTE5LjAwMDEgOUwxMi4wMDAxIDE2TDE5LjAwMDEgMjMiIHN0cm9rZT0id2hpdGUiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+Cjwvc3ZnPg=="); }
#content .lightpick__previous-action:hover { background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzIiIGhlaWdodD0iMzIiIHZpZXdCb3g9IjAgMCAzMiAzMiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPGNpcmNsZSBjeD0iMTYiIGN5PSIxNiIgcj0iMTYiIGZpbGw9IiNENzlGMTAiLz4KPHBhdGggZD0iTTE5LjAwMDEgOUwxMi4wMDAxIDE2TDE5LjAwMDEgMjMiIHN0cm9rZT0id2hpdGUiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+Cjwvc3ZnPg=="); }
#content .lightpick__next-action { float: right; margin: -4px 2.5% 0 0; background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzIiIGhlaWdodD0iMzIiIHZpZXdCb3g9IjAgMCAzMiAzMiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPGNpcmNsZSBjeD0iMTYiIGN5PSIxNiIgcj0iMTYiIGZpbGw9IiNGOEI3MTMiLz4KPHBhdGggZD0iTTEzIDIzTDIwIDE2TDEzIDkiIHN0cm9rZT0id2hpdGUiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+Cjwvc3ZnPg=="); }
#content .lightpick__next-action:hover { background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzIiIGhlaWdodD0iMzIiIHZpZXdCb3g9IjAgMCAzMiAzMiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPGNpcmNsZSBjeD0iMTYiIGN5PSIxNiIgcj0iMTYiIGZpbGw9IiNENzlGMTAiLz4KPHBhdGggZD0iTTEzIDIzTDIwIDE2TDEzIDkiIHN0cm9rZT0id2hpdGUiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+Cjwvc3ZnPg=="); }
#content .lightpick__days-of-the-week { margin: 0 0 15px; }
#content .lightpick__day-of-the-week { 
	font-size: 13px; line-height: 18px; font-weight: 400; color: #6A6A6A; text-transform: capitalize;
}
#content .lightpick__day {
	height: 34px; font-size: 12px; font-weight: 700; color: #303030; cursor: pointer; background-image: none;
	/* background-size: auto 30px; background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzAiIGhlaWdodD0iMzAiIHZpZXdCb3g9IjAgMCAzMCAzMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48Y2lyY2xlIGN4PSIxNSIgY3k9IjE1IiByPSIxNSIgZmlsbD0iI0Y0RjRGNCIvPjwvc3ZnPg=="); */
}
#content .lightpick__day.is-today {	
    background-size: auto 30px; background-position: center center; color: #303030; background-image: none;
	/* background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzAiIGhlaWdodD0iMzAiIHZpZXdCb3g9IjAgMCAzMCAzMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48Y2lyY2xlIGN4PSIxNSIgY3k9IjE1IiByPSIxNSIgZmlsbD0iI0Y0RjRGNCIvPjwvc3ZnPg=="); */
}
#content .lightpick__day:not(.is-disabled):hover {
	background-size: auto 30px; background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjYiIGhlaWdodD0iMjYiIHZpZXdCb3g9IjAgMCAyNiAyNiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHJlY3Qgd2lkdGg9IjI2IiBoZWlnaHQ9IjI2IiByeD0iMiIgZmlsbD0iI0YyRjFGMiIvPgo8L3N2Zz4=");
}
#content .lightpick__day.is-disabled { opacity: 1; color: #BABABA; pointer-events: none; }
#content .lightpick__day.is-disabled.is-forward-selected { opacity: 1; }
#content .lightpick__day.is-disabled.is-forward-selected:not(.is-start-date) { background-color: transparent; background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIzIiBoZWlnaHQ9IjMwIiB2aWV3Qm94PSIwIDAgMTIzIDMwIiBmaWxsPSJub25lIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPjxyZWN0IHdpZHRoPSIxMjMiIGhlaWdodD0iMzAiIGZpbGw9IiNGMkYxRjIiLz48L3N2Zz4="); }
#content .lightpick__day.is-previous-month, #content .lightpick__day.is-next-month { opacity: 1; color: #BABABA; }
#content .lightpick__day.lightpick__day.is-in-range:not(.is-disabled) { opacity: 1; }
#content .lightpick__day.is-in-range { 
	background-color: transparent; background-size: auto 30px; background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIzIiBoZWlnaHQ9IjMwIiB2aWV3Qm94PSIwIDAgMTIzIDMwIiBmaWxsPSJub25lIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPjxyZWN0IHdpZHRoPSIxMjMiIGhlaWdodD0iMzAiIGZpbGw9IiNGMkYxRjIiLz48L3N2Zz4=");  
}
#content .lightpick__day.is-in-range:hover { background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQ2IiBoZWlnaHQ9IjI2IiB2aWV3Qm94PSIwIDAgMjQ2IDI2IiBmaWxsPSJub25lIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPgo8cGF0aCBkPSJNMjQ2IDBIMTIzVjI2SDI0NlYwWiIgZmlsbD0iI0YyRjFGMiIvPgo8cGF0aCBkPSJNMTIzIDBIMFYyNkgxMjNWMFoiIGZpbGw9IiNGMkYxRjIiLz4KPHJlY3QgeD0iMTEwIiB3aWR0aD0iMjYiIGhlaWdodD0iMjYiIHJ4PSIyIiBmaWxsPSIjRjhCNzEzIi8+Cjwvc3ZnPg=="); }
#content .lightpick__day.is-start-date.is-in-range,
#content .lightpick__day.is-end-date.is-in-range.is-flipped,
#content .lightpick__day.is-start-date.is-in-range:hover {
	background-size: auto 30px; background-color: transparent; background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQ2IiBoZWlnaHQ9IjI2IiB2aWV3Qm94PSIwIDAgMjQ2IDI2IiBmaWxsPSJub25lIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPgo8cGF0aCBkPSJNMjQ2IDBIMTIzVjI2SDI0NlYwWiIgZmlsbD0iI0YyRjFGMiIvPgo8cmVjdCB4PSIxMTAiIHdpZHRoPSIyNiIgaGVpZ2h0PSIyNiIgcng9IjIiIGZpbGw9IiNGOEI3MTMiLz4KPC9zdmc+");
	 border-top-left-radius: 0; border-bottom-left-radius: 0;
}
#content .lightpick__day.is-end-date.is-in-range,
#content .lightpick__day.is-start-date.is-in-range.is-flipped,
#content .lightpick__day.is-end-date.is-in-range:hover {
	background-size: auto 30px; background-color: transparent; background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQ2IiBoZWlnaHQ9IjI2IiB2aWV3Qm94PSIwIDAgMjQ2IDI2IiBmaWxsPSJub25lIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPgo8cGF0aCBkPSJNMTIzIDBIMFYyNkgxMjNWMFoiIGZpbGw9IiNGMkYxRjIiLz4KPHJlY3QgeD0iMTEwIiB3aWR0aD0iMjYiIGhlaWdodD0iMjYiIHJ4PSIyIiBmaWxsPSIjRjhCNzEzIi8+Cjwvc3ZnPg==");
	border-top-right-radius: 0; border-bottom-right-radius: 0;
}
#content .lightpick__day.is-start-date.is-end-date, #content .lightpick__day.is-start-date.is-end-date:hover {
    background-size: auto 30px; color: #FFF; background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjYiIGhlaWdodD0iMjYiIHZpZXdCb3g9IjAgMCAyNiAyNiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHJlY3Qgd2lkdGg9IjI2IiBoZWlnaHQ9IjI2IiByeD0iMiIgZmlsbD0iI0Y4QjcxMyIvPgo8L3N2Zz4=");
}
#content .lightpick__day.is-start-date, #content .lightpick__day.is-end-date,
#content .lightpick__day.is-start-date:hover, #content .lightpick__day.is-end-date:hover {
	background-size: auto 30px; color: #FFF; background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjYiIGhlaWdodD0iMjYiIHZpZXdCb3g9IjAgMCAyNiAyNiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHJlY3Qgd2lkdGg9IjI2IiBoZWlnaHQ9IjI2IiByeD0iMiIgZmlsbD0iI0Y4QjcxMyIvPgo8L3N2Zz4=");
}
@media screen and (max-width: 767px) {
	#content .lightpick { margin-left: calc( 50% - 180px ); border-radius: 5px; }
}
